> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Suggest Brand Market



## OpenAPI

````yaml /openapi.json post /api/v1/brand-market/suggest
openapi: 3.1.0
info:
  title: AITasker
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/brand-market/suggest:
    post:
      tags:
        - Brand Market
        - Brand Market
      summary: Suggest Brand Market
      operationId: suggest_brand_market_api_v1_brand_market_suggest_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BrandMarketSuggestionRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BrandMarketSuggestionResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    BrandMarketSuggestionRequest:
      properties:
        url:
          type: string
          maxLength: 500
          minLength: 3
          title: Url
        timezone:
          anyOf:
            - type: string
              maxLength: 100
            - type: 'null'
          title: Timezone
      type: object
      required:
        - url
      title: BrandMarketSuggestionRequest
    BrandMarketSuggestionResponse:
      properties:
        country_code:
          type: string
          maxLength: 2
          minLength: 2
          title: Country Code
        country_name:
          type: string
          maxLength: 100
          minLength: 1
          title: Country Name
        location_code:
          type: integer
          title: Location Code
        language_locale:
          type: string
          maxLength: 10
          minLength: 2
          title: Language Locale
        language_code:
          type: string
          maxLength: 10
          minLength: 2
          title: Language Code
        confidence:
          type: string
          title: Confidence
        sources:
          items:
            type: string
          type: array
          title: Sources
      type: object
      required:
        - country_code
        - country_name
        - location_code
        - language_locale
        - language_code
        - confidence
        - sources
      title: BrandMarketSuggestionResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````